Subject: Re: EPIC <=> OpenPIC

From: "Mark A. Greer" <[email-masked]>
Date: Wed, 03 Oct 2001 14:16:46 -0700

"Mark A. Greer" wrote:

> "Prasad, Siva" wrote:
>
> > Hi,
> >
> > Is there code written or ported to EPIC (Embedded programmable interrupt
> > controller - MPC 107)?.
>
> Yes, mpc10x_common.c.  Examples of its use are in the code.

I'll add a little more.  You can use the openpic code with the EPIC if you're
careful.  Look at sandpoint_setup.c for an example.  Your EPIC IRQs *must*
start at 16 and resist the urge to set the offset param to anything but 0.

Mark

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/